/*************************************************************
Generated for Telelogic Tau 4.2.0.2.13102 at Thu Apr 16 19:56:55 MEST 2009
Licensed Materials - Property of IBM 
 Copyright IBM Corporation 2002,2008.  All Rights Reserved.

U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*************************************************************/
///////////////////////////////////////////////////////////////////////////////
// torChoice.h
// ----------
// C++ implementation of a UML2 Choice
///////////////////////////////////////////////////////////////////////////////

#ifndef __TOR_CHOICE__H__
#define __TOR_CHOICE__H__

#include "torPlatform.h"

namespace tor {

  // This exception is thrown on an attempt to read from a
  // Choice attribute that is not present.
  typedef int EChoiceAttributeNotPresent;

  // Choice representation
  template <class Union, class Kind>
  class Choice {
  public:
    Union data;
    Kind kind;

    bool isPresent(Kind k) {
      return (kind == k);
    }
  };

}


#endif // __TOR_CHOICE__H__

