# Generated for Telelogic Tau 4.2.0.2.13102 at Thu Apr 16 19:56:51 MEST 2009
# Licensed Materials - Property of IBM 
#  Copyright IBM Corporation 2002,2008.  All Rights Reserved.
# 
# U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

proc BuildFileName { elemt } {

  # Set file prefix depending on diagram type
  set mc [u2::GetMetaClassName $elemt]

  # Get name of element
  set name [u2::GetValue $elemt "Name"]

  # Get GID of element
  set gid [MakeAlphaNumeric [u2::GetValue $elemt "Guid"]]

  return $mc\_$name\_$gid

};#end_proc BuildFileName


proc MakeAlphaNumeric { str } {

  # Removes non-alphanumeric symbols

  set result ""

  set strlen [string length $str]

  for {set x 0} {$x<=$strlen} {incr x} {

    set strchar [string index $str $x]

    if { [regexp {[a-zA-Z0-9]+} $strchar] } {

      set result "$result$strchar"

    };#end_if character is alphanumeric

  };#end_for each string character

  return $result

};#end_proc MakeAlphaNumeric
