# Generated for Telelogic Tau 4.2.0.2.13102 at Thu Apr 16 19:56:51 MEST 2009
# Licensed Materials - Property of IBM 
#  Copyright IBM Corporation 2002,2008.  All Rights Reserved.
# 
# U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

proc ReportPorts { elmt headingLevel } {

  if { [catch { set portList [u2::GetEntities $elmt Port] } ] } { return };

  if { [llength $portList] == 0 } { return };#end_if there are no ports to report

  html_paragraph ""
  html_heading $headingLevel "" "Ports"


  foreach port $portList {

    # Create port report heading
    html_bullet_start

    # Add the port's name to the heading
    html_print [GetElementName $port]

    html_bullet_end

    html_list_start
#    ReportProperties $port 0
    ReportPortInterfaces $port 0
    html_list_end

  };#end_foreach port

};#end_proc ReportPorts
