# Generated for Telelogic Tau 4.2.0.2.13102 at Thu Apr 16 19:56:51 MEST 2009
# Licensed Materials - Property of IBM 
#  Copyright IBM Corporation 2002,2008.  All Rights Reserved.
# 
# U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
package require commands

proc OnUpdateSolutionModel {command} {
    set project [std::GetActiveProject]
    set model   [std::GetModels -kind U2 -project $project]
    set sel     [std::GetSelection]
    set agent   [u2::FindByGuid $model "@TTDSolutionImport@UpdateSolutionModel"]
    set params  { }

    u2::InvokeAgent $model $agent $sel params
}

# Enabled for package with <<MSVSSolution>> stereotype applied
proc OnEnableUpdateModel {command} {
    set sel [std::GetSelection]

    if { [llength $sel] != 1 } {
        return 0
    }

    if { [GetKind $sel] != "U2" } {
        return 0
    }

    if { [u2::IsKindOf $sel Package] } {
        if { [u2::GetTaggedValue $sel "'MSVSSolution' (. .)"] != 0 } {
            return 1
        }
    }

    return 0
}

proc Init {} {
    AddCommand -variable cmdUpdateModel -name "Update model from Visual Studio solution" -statusmessage "Update model from the Microsoft Visual Studio solution file" -tooltip "Update model" -accelerator "" -imagefile "" -OnActivateCommand OnUpdateSolutionModel

    AddContextMenu -variable cmnUpdateModel -commands {separator cmdUpdateModel} -onenablemenu { OnEnableUpdateModel }
}

Init
