#!/bin/sh
################################################################
# (c) 2002-2006 Copyright Telelogic AB
#
# This Program, supplied in source code, is owned by Telelogic 
# and is protected by national copyright laws and international 
# copyright treaties. Telelogic grants you the right to use this 
# Program according to the terms and conditions in the Software License.
#
# Under this License you may modify the Program for the purpose
# of adapting it to your computer environment. You must reproduce 
# and include any copyright and trademark notices on all copies of the 
# source code.
#
# Telelogic does not warrant that the Program will meet your
# requirements or that the operation of the Program will be
# uninterrupted and error free. You are solely responsible that the
# selection of the Program and modifications of the source code
# will achieve your intended results and that the results are actually
# obtained.
#
# Any modifications to the source code are done at your own risk 
# and will void any support obligations or commitments made by Telelogic.
#
#       regsvr32 execution
################################################################
#
#------------------------------------------------------------
#  environment variables used in MainWin product
#------------------------------------------------------------
#
if [ ".$MWHOME" = . ]
then
        echo "The MWHOME environment variable is missing"
        exit 1
fi
#
#-------------------
# running the tool
#-------------------
#
if [ "$#" = "0" ]
then
  exec ${MWHOME}/bin-${MWOS}_optimized/regsvr32
else
  exec ${MWHOME}/bin-${MWOS}_optimized/regsvr32  "$@"
fi
