#!/bin/sh
#
# (c) 2002-2006 Copyright Telelogic AB
#
# This Program, supplied in source code, is owned by Telelogic 
# and is protected by national copyright laws and international 
# copyright treaties. Telelogic grants you the right to use this 
# Program according to the terms and conditions in the Software License.
#
# Under this License you may modify the Program for the purpose
# of adapting it to your computer environment. You must reproduce 
# and include any copyright and trademark notices on all copies of the 
# source code.
#
# Telelogic does not warrant that the Program will meet your
# requirements or that the operation of the Program will be
# uninterrupted and error free. You are solely responsible that the
# selection of the Program and modifications of the source code
# will achieve your intended results and that the results are actually
# obtained.
#
# Any modifications to the source code are done at your own risk 
# and will void any support obligations or commitments made by Telelogic.
#
ulimit -S -s unlimited 2>/dev/null
if [ "$?" != "0" ]; then
    stack_size=`ulimit -S -s`
    echo "Failed to unlimit stack size, please ask your system administrator to raise stack limit"
    echo "current stack size is $stack_size"
    echo "If the stack size is too small you might get undesirable behavior."
    unset stack_size
fi
exec "$INSTALLATION_DIR/bin/vcs.exe" ${1+"$@"}
