# Generated for Telelogic Tau 4.2.0.2.13102 at Thu Apr 16 19:56:51 MEST 2009
# Licensed Materials - Property of IBM 
#  Copyright IBM Corporation 2002,2008.  All Rights Reserved.
# 
# U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# If actor symbol is bound, but the type of the Actor is unbound, 
# a new class is created. The name of the class is the same as the 
# name of the actor + Class.
# If the actor symbol is unbound (grey lines) an attribute corresponding to the
# actor is created in addition to the class.
proc UpdateModelActorSymbol { symbol } {

	if ![IsKindOf $symbol ActorSymbol] {
		error "Element $symbol is a '[Class $symbol]', but should be an 'ActorSymbol'"
	}
	UpdateAttribute $symbol
}

# If the type of the Subject is unbound, a new class is created.
# The name of the class is the same as the name of the subject + Class.
proc UpdateModelSubjectSymbol { symbol } {

	if ![IsKindOf $symbol SubjectSymbol] {
		error "Element $symbol is a '[Class $symbol]', but should be a 'SubjectSymbol'"
	}
	UpdateAttribute $symbol
}
