/*************************************************************
Generated for Telelogic Tau 4.2.0.2.13102 at Thu Apr 16 19:56:55 MEST 2009
Licensed Materials - Property of IBM 
 Copyright IBM Corporation 2002,2008.  All Rights Reserved.

U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*************************************************************/

#ifndef __mms_h
#define __mms_h

/* Memory management system configuration */

#if defined(CODER_MMS_USER)

#include "mms_user.h"

#define CUCF_ALLOC(size, type)      USER_ALLOC_FUNC(size, type)
#define CUCF_FREE(ptr, size, type)  USER_FREE_FUNC(ptr, size, type)

#elif defined(CODER_MMS_SDT)

#include "scttypes.h"

#define CUCF_ALLOC(size, type)      XALLOC(size, type)
#define CUCF_FREE(ptr, size, type)  XFREE((void**)&(ptr), size)

#else /* CODER_MMS_DEFAULT */

#define CUCF_ALLOC(size, type)      malloc(size)
#define CUCF_FREE(ptr, size, type)  free(ptr)

#endif



/* Memory handling */

void MMSRelease(tCoder* Coder);

#define CUCFAlloc(coder, size, type)      MMSAlloc(coder, size)
#define CUCFFree(coder, ptr, size, type)  MMSFree(coder, ptr)


void* MMSAlloc(tCoder* Coder, size_t Size);
void MMSFree(tCoder* Coder, void* Ptr);

#endif /* __mms_h */

